Analyze Conversations - Analyze Conversations
Analyzes the input conversation utterance.
POST {Endpoint}/language/:analyze-conversations?api-version=2024-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string (uri) |
Supported Cognitive Services endpoint (e.g., https://<resource-name>.api.cognitiveservices.azure.com). |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
ConversationalTask
The input for a conversation language understanding task.
| Name | Required | Type | Description |
|---|---|---|---|
| analysisInput | True |
The input ConversationItem and its optional parameters |
|
| kind | True |
string:
Conversation |
The base class of a conversation input task. |
| parameters | True |
Input parameters necessary for a Conversation language understanding task. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | AnalyzeConversationTaskResult: |
The request has succeeded. |
| Other Status Codes |
An unexpected error response. Headers x-ms-error-code: string |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Token URL:
https://login.microsoftonline.com/common/oauth2/token
Scopes
| Name | Description |
|---|---|
| https://cognitiveservices.azure.com/.default |
Examples
|
Successful |
|
Successful |
|
Successful |
SuccessfulAnalyzeConversations
Sample request
POST {Endpoint}/language/:analyze-conversations?api-version=2024-11-01
{
"kind": "Conversation",
"analysisInput": {
"conversationItem": {
"id": "1",
"participantId": "1",
"text": "play In the air tonight from Phil Collins"
}
},
"parameters": {
"projectName": "{project-name}",
"deploymentName": "{deployment-name}",
"stringIndexType": "TextElement_V8"
}
}
Sample response
{
"kind": "ConversationResult",
"result": {
"query": "play In the air tonight from Phil Collins",
"prediction": {
"topIntent": "PlayMusic",
"projectKind": "Conversation",
"intents": [
{
"category": "PlayMusic",
"confidenceScore": 1
},
{
"category": "SearchCreativeWork",
"confidenceScore": 0
},
{
"category": "AddToPlaylist",
"confidenceScore": 0
}
],
"entities": [
{
"category": "Media.Artist",
"text": "Phil Collins",
"offset": 29,
"length": 12,
"confidenceScore": 1
}
]
}
}
}
SuccessfulAnalyzeConversationsArbitration
Sample request
POST {Endpoint}/language/:analyze-conversations?api-version=2024-11-01
{
"kind": "Conversation",
"analysisInput": {
"conversationItem": {
"participantId": "1",
"id": "1",
"modality": "text",
"language": "en-GB",
"text": "How do I integrate QnA Maker and LUIS?"
}
},
"parameters": {
"projectName": "{project-name}",
"deploymentName": "{deployment-name}",
"verbose": true,
"isLoggingEnabled": false,
"stringIndexType": "TextElement_V8"
}
}
Sample response
{
"kind": "ConversationResult",
"result": {
"query": "trains from London",
"prediction": {
"topIntent": "Rail",
"projectKind": "Orchestration",
"intents": {
"Rail": {
"confidenceScore": 1,
"targetProjectKind": "Conversation",
"result": {
"query": "trains from London",
"prediction": {
"topIntent": "Timetable",
"projectKind": "Conversation",
"intents": [
{
"category": "Timetable",
"confidenceScore": 0.99968535
},
{
"category": "Locomotive",
"confidenceScore": 0.000314623
}
],
"entities": []
}
}
},
"Tree": {
"confidenceScore": 0.2641529,
"targetProjectKind": "QuestionAnswering"
},
"None": {
"confidenceScore": 0,
"targetProjectKind": "NonLinked"
}
}
}
}
}
SuccessfulAnalyzeConversationsArbitrationDirectTarget
Sample request
POST {Endpoint}/language/:analyze-conversations?api-version=2024-11-01
{
"kind": "Conversation",
"analysisInput": {
"conversationItem": {
"text": "Ports and connectors",
"participantId": "1",
"id": "1"
}
},
"parameters": {
"projectName": "prj1",
"deploymentName": "dep1",
"directTarget": "qnaProject",
"targetProjectParameters": {
"qnaProject": {
"targetProjectKind": "QuestionAnswering",
"callingOptions": {
"context": {
"previousUserQuery": "Meet Surface Pro 4",
"previousQnaId": 4
},
"top": 1,
"question": "App Service overview"
}
}
}
}
}
Sample response
{
"kind": "ConversationResult",
"result": {
"query": "Ports and connectors",
"prediction": {
"projectKind": "Orchestration",
"topIntent": "qnaTargetApp",
"intents": {
"qnaTargetApp": {
"targetProjectKind": "QuestionAnswering",
"confidenceScore": 1,
"result": {
"answers": [
{
"questions": [
"App Service overview"
],
"answer": "The compute resources you use are determined by the *App Service plan* that you run your apps on.",
"confidenceScore": 0.7384000000000001,
"id": 1,
"source": "https://docs.microsoft.com/en-us/azure/app-service/overview",
"metadata": {},
"dialog": {
"isContextOnly": false,
"prompts": []
}
}
]
}
}
}
}
}
}
Definitions
| Name | Description |
|---|---|
|
Age |
Represents the Age entity resolution model. |
|
Age |
The Age Unit of measurement |
|
Analyze |
Represents a conversation analysis response. |
|
Analyze |
Enumeration of supported Conversation tasks. |
|
Analyze |
Enumeration of supported conversational task results. |
|
Answers |
Parameters to query a knowledge base. |
|
Answer |
Answer span object of QnA. |
|
Answers |
Represents List of Question Answers. |
|
Area |
Represents the area entity resolution model. |
|
Area |
The area unit of measurement. |
|
Boolean |
A resolution for boolean expressions |
|
Conversational |
The input for a conversation language understanding task. |
|
Conversational |
The results of a Conversation task. |
|
Conversation |
The input ConversationItem and its optional parameters |
|
Conversation |
The option to set to call a Conversation project. |
|
Conversation |
The entity extraction result of a Conversation project. |
|
Conversation |
The intent classification result of a Conversation project. |
|
Conversation |
This is a set of request parameters for Customized Conversation projects. |
|
Conversation |
Represents the prediction section of a Conversation project. |
|
Conversation |
The response returned by a Conversation project. |
|
Conversation |
A wrap up of Conversation project response. |
|
Conversation |
Input parameters necessary for a Conversation task. |
|
Currency |
Represents the currency entity resolution model. |
|
Date |
A resolution for datetime entity instances. |
|
Date |
The Datetime SubKind. |
|
Entity |
The concrete entity Subtype model of extra information. |
| Error |
The error object. |
|
Error |
Human-readable error code. |
|
Error |
Error response. |
|
Extra |
The extra information object kind. |
|
Information |
Represents the information (data) entity resolution model. |
|
Information |
The information (data) Unit of measurement. |
|
Inner |
Human-readable error code. |
|
Inner |
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
|
Input |
Enumeration of supported conversational modalities. |
|
Knowledge |
Represents knowledge base answer. |
|
Knowledge |
Context object with previous QnA's information. |
|
Knowledge |
Dialog associated with Answer. |
|
Knowledge |
Prompt for an answer. |
|
Length |
Represents the length entity resolution model. |
|
Length |
The length unit of measurement. |
|
List |
The list key extra data kind. |
|
Logical |
Operation used to join metadata filters. |
|
Luis |
This customizes how the service calls LUIS Generally Available projects. |
|
Luis |
This is a set of request parameters for LUIS Generally Available projects. |
|
Luis |
It is a wrap up of LUIS Generally Available response. |
|
Metadata |
Find QnAs that are associated with the given list of metadata. |
|
Metadata |
Object to provide the key value pair for each metadata. |
|
None |
A wrap up of non-linked intent response. |
|
Number |
The type of the extracted number entity. |
|
Number |
A resolution for numeric entity instances. |
|
Numeric |
represents the resolution of numeric intervals. |
|
Orchestration |
This represents the prediction result of an Orchestration project. |
|
Ordinal |
A resolution for ordinal numbers entity instances. |
|
project |
The type of the project. |
|
Query |
filters over knowledge base. |
|
Question |
This is a set of request parameters for Question Answering knowledge bases. |
|
Question |
It is a wrap up a Question Answering KB response. |
|
Range |
The kind of range that the resolution object represents. |
|
Ranker |
Type of ranker to be used |
|
Regex |
The regex key extra data kind. |
|
Relative |
The reference point that the ordinal number denotes. |
|
Resolution |
The entity resolution object kind. |
| role |
Role of the participant. |
|
Short |
To configure Answer span prediction feature. |
|
Speed |
Represents the speed entity resolution model. |
|
Speed |
The speed Unit of measurement |
|
String |
String index type |
|
target |
The type of a target service. |
|
Temperature |
Represents the temperature entity resolution model. |
|
Temperature |
The temperature Unit of measurement. |
|
Temporal |
An optional modifier of a date/time instance. |
|
Temporal |
represents the resolution of a date and/or time span. |
|
Text |
The text modality of an input conversation. |
|
Volume |
Represents the volume entity resolution model. |
|
Volume |
The Volume Unit of measurement |
|
Weight |
Represents the weight entity resolution model. |
|
Weight |
The weight Unit of measurement. |
AgeResolution
Represents the Age entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The Age Unit of measurement |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
AgeUnit
The Age Unit of measurement
| Value | Description |
|---|---|
| Unspecified |
Unspecified age unit |
| Year |
Year age unit |
| Month |
Month age unit |
| Week |
Week age unit |
| Day |
Day age unit |
AnalyzeConversationResult
Represents a conversation analysis response.
| Name | Type | Description |
|---|---|---|
| detectedLanguage |
string |
The system detected language for the query in BCP 47 language representation.. |
| prediction | BasePrediction: |
The prediction result of a conversation project. |
| query |
string |
The conversation utterance given by the caller. |
AnalyzeConversationTaskKind
Enumeration of supported Conversation tasks.
| Value | Description |
|---|---|
| Conversation |
Conversation task kind |
AnalyzeConversationTaskResultsKind
Enumeration of supported conversational task results.
| Value | Description |
|---|---|
| ConversationResult |
Conversation result task kind |
AnswersOptions
Parameters to query a knowledge base.
| Name | Type | Description |
|---|---|---|
| answerSpanRequest |
To configure Answer span prediction feature. |
|
| confidenceScoreThreshold |
number (double) minimum: 0maximum: 1 |
Minimum threshold score for answers, value ranges from 0 to 1. |
| context |
Context object with previous QnA's information. |
|
| filters |
Filter QnAs based on given metadata list and knowledge base sources. |
|
| includeUnstructuredSources |
boolean |
(Optional) Flag to enable Query over Unstructured Sources. |
| qnaId |
integer (int32) |
Exact QnA ID to fetch from the knowledge base, this field takes priority over question. |
| question |
string |
User question to query against the knowledge base. |
| rankerType |
Type of ranker to be used. |
|
| top |
integer (int32) |
Max number of answers to be returned for the question. |
| userId |
string |
Unique identifier for the user. |
AnswerSpan
Answer span object of QnA.
| Name | Type | Description |
|---|---|---|
| confidenceScore |
number (double) minimum: 0maximum: 1 |
Predicted score of answer span, value ranges from 0 to 1. |
| length |
integer (int32) |
The length of the answer span. |
| offset |
integer (int32) |
The answer span offset from the start of answer. |
| text |
string |
Predicted text of answer span. |
AnswersResult
Represents List of Question Answers.
| Name | Type | Description |
|---|---|---|
| answers |
Represents Answer Result list. |
AreaResolution
Represents the area entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The area Unit of measurement |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
AreaUnit
The area unit of measurement.
| Value | Description |
|---|---|
| Unspecified |
Unspecified area unit |
| SquareKilometer |
Square kilometer area unit |
| SquareHectometer |
Square hectometer area unit |
| SquareDecameter |
Square decameter area unit |
| SquareDecimeter |
Square decimeter area unit |
| SquareMeter |
Square meter area unit |
| SquareCentimeter |
Square centimeter area unit |
| SquareMillimeter |
Square millimeter area unit |
| SquareInch |
Square inch area unit |
| SquareFoot |
Square foot area unit |
| SquareMile |
Square mile area unit |
| SquareYard |
Square yard area unit |
| Acre |
Acre area unit |
BooleanResolution
A resolution for boolean expressions
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| value |
boolean |
A resolution for boolean expressions |
ConversationalTask
The input for a conversation language understanding task.
| Name | Type | Description |
|---|---|---|
| analysisInput |
The input ConversationItem and its optional parameters |
|
| kind |
string:
Conversation |
The base class of a conversation input task. |
| parameters |
Input parameters necessary for a Conversation language understanding task. |
ConversationalTaskResult
The results of a Conversation task.
| Name | Type | Description |
|---|---|---|
| kind | string: |
The base class of a conversation input task result. |
| result |
Represents a conversation analysis response. |
ConversationAnalysisOptions
The input ConversationItem and its optional parameters
| Name | Type | Description |
|---|---|---|
| conversationItem |
The abstract base for a user input formatted conversation (e.g., Text, Transcript). |
ConversationCallingOptions
The option to set to call a Conversation project.
| Name | Type | Description |
|---|---|---|
| isLoggingEnabled |
boolean |
If true, the query will be saved for customers to further review in authoring, to improve the model quality. |
| language |
string |
The language of the query in BCP 47 language representation. |
| verbose |
boolean |
If true, the service will return more detailed information. |
ConversationEntity
The entity extraction result of a Conversation project.
| Name | Type | Description |
|---|---|---|
| category |
string |
The entity category. |
| confidenceScore |
number (float) |
The entity confidence score. |
| extraInformation |
BaseExtraInformation[]:
|
The collection of entity extra information objects. |
| length |
integer (int32) |
The length of the text. |
| offset |
integer (int32) |
The starting index of this entity in the query. |
| resolutions |
BaseResolution[]:
|
The collection of entity resolution objects. |
| text |
string |
The predicted entity text. |
ConversationIntent
The intent classification result of a Conversation project.
| Name | Type | Description |
|---|---|---|
| category |
string |
A predicted class. |
| confidenceScore |
number (float) minimum: 0maximum: 1 |
The confidence score of the class from 0.0 to 1.0. |
ConversationParameters
This is a set of request parameters for Customized Conversation projects.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version to use when call a specific target service. |
| callingOptions |
The option to set to call a Conversation project. |
|
| targetProjectKind |
string:
Conversation |
The type of a target service |
ConversationPrediction
Represents the prediction section of a Conversation project.
| Name | Type | Description |
|---|---|---|
| entities |
The entity extraction results. |
|
| intents |
The intent classification results. |
|
| projectKind |
string:
Conversation |
The type of the project. |
| topIntent |
string |
The intent with the highest score. |
ConversationResult
The response returned by a Conversation project.
| Name | Type | Description |
|---|---|---|
| detectedLanguage |
string |
The detected language from the query in BCP 47 language representation. |
| prediction |
The predicted result for the query. |
|
| query |
string |
The same query given in request. |
ConversationTargetIntentResult
A wrap up of Conversation project response.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version used to call a target service. |
| confidenceScore |
number (double) minimum: 0maximum: 1 |
The prediction score and it ranges from 0.0 to 1.0. |
| result |
The actual response from a Conversation project. |
|
| targetProjectKind |
string:
Conversation |
This is the base class of an intent prediction |
ConversationTaskParameters
Input parameters necessary for a Conversation task.
| Name | Type | Default value | Description |
|---|---|---|---|
| deploymentName |
string |
The name of the deployment to use. |
|
| directTarget |
string |
The name of a target project to forward the request to. |
|
| isLoggingEnabled |
boolean |
If true, the service will keep the query for further review. |
|
| projectName |
string |
The name of the project to use. |
|
| stringIndexType | TextElements_v8 |
Specifies the method used to interpret string offsets. Defaults to Text Elements (Graphemes) according to Unicode v8.0.0. For additional information see https://aka.ms/text-analytics-offsets. |
|
| targetProjectParameters |
object |
A dictionary representing the parameters for each target project. |
|
| verbose |
boolean |
If true, the service will return more detailed information in the response. |
CurrencyResolution
Represents the currency entity resolution model.
| Name | Type | Description |
|---|---|---|
| ISO4217 |
string |
The alphabetic code based on another ISO standard, ISO 3166, which lists the codes for country names. The first two letters of the ISO 4217 three-letter code are the same as the code for the country name, and, where possible, the third letter corresponds to the first letter of the currency name. |
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
string |
The unit of the amount captured in the extracted entity |
| value |
number (double) |
The money amount captured in the extracted entity |
DateTimeResolution
A resolution for datetime entity instances.
| Name | Type | Description |
|---|---|---|
| dateTimeSubKind |
The DateTime SubKind |
|
| modifier |
An optional modifier of a date/time instance. |
|
| resolutionKind | string: |
The entity resolution object kind. |
| timex |
string |
An extended ISO 8601 date/time representation as described in (https://github.com/Microsoft/Recognizers-Text/blob/master/Patterns/English/English-DateTime.yaml) |
| value |
string |
The actual time that the extracted text denote. |
DateTimeSubKind
The Datetime SubKind.
| Value | Description |
|---|---|
| Time |
Time subkind |
| Date |
Date subkind |
| DateTime |
DateTime subkind |
| Duration |
Duration subkind |
| Set |
Set subkind |
EntitySubtype
The concrete entity Subtype model of extra information.
| Name | Type | Description |
|---|---|---|
| extraInformationKind | string: |
The extra information object kind. |
| value |
string |
The Subtype of an extracted entity type. |
Error
The error object.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
Error[] |
An array of details about specific errors that led to this reported error. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
ErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidArgument |
Invalid argument error |
| Unauthorized |
Unauthorized access error |
| Forbidden |
Forbidden access error |
| NotFound |
Not found error |
| ProjectNotFound |
Project not found error |
| OperationNotFound |
Operation not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchIndexNotFound |
Azure Cognitive Search index not found error |
| TooManyRequests |
Too many requests error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| AzureCognitiveSearchIndexLimitReached |
Azure Cognitive Search index limit reached error |
| InternalServerError |
Internal server error |
| ServiceUnavailable |
Service unavailable error |
| Timeout |
Timeout error |
| QuotaExceeded |
Quota exceeded error |
| Conflict |
Conflict error |
| Warning |
Warning error |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ExtraInformationKind
The extra information object kind.
| Value | Description |
|---|---|
| EntitySubtype |
Entity subtype extra information kind |
| ListKey |
List key extra information kind |
| RegexKey |
Regex key extra information kind |
InformationResolution
Represents the information (data) entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The information (data) Unit of measurement. |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
InformationUnit
The information (data) Unit of measurement.
| Value | Description |
|---|---|
| Unspecified |
Unspecified information unit |
| Bit |
Bit information unit |
| Kilobit |
Kilobit information unit |
| Megabit |
Megabit information unit |
| Gigabit |
Gigabit information unit |
| Terabit |
Terabit information unit |
| Petabit |
Petabit information unit |
| Byte |
Byte information unit |
| Kilobyte |
Kilobyte information unit |
| Megabyte |
Megabyte information unit |
| Gigabyte |
Gigabyte information unit |
| Terabyte |
Terabyte information unit |
| Petabyte |
Petabyte information unit |
InnerErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidParameterValue |
Invalid parameter value error |
| KnowledgeBaseNotFound |
Knowledge base not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| ExtractionFailure |
Extraction failure error |
| InvalidRequestBodyFormat |
Invalid request body format error |
| EmptyRequest |
Empty request error |
| MissingInputDocuments |
Missing input documents error |
| InvalidDocument |
Invalid document error |
| ModelVersionIncorrect |
Model version incorrect error |
| InvalidDocumentBatch |
Invalid document batch error |
| UnsupportedLanguageCode |
Unsupported language code error |
| InvalidCountryHint |
Invalid country hint error |
InnerErrorModel
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
object |
Error details. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
Error message. |
| target |
string |
Error target. |
InputModality
Enumeration of supported conversational modalities.
| Value | Description |
|---|---|
| transcript |
Transcript input modality |
| text |
Text input modality |
KnowledgeBaseAnswer
Represents knowledge base answer.
| Name | Type | Description |
|---|---|---|
| answer |
string |
Answer text. |
| answerSpan |
Answer span object of QnA with respect to user's question. |
|
| confidenceScore |
number (double) minimum: 0maximum: 1 |
Answer confidence score, value ranges from 0 to 1. |
| dialog |
Dialog associated with Answer. |
|
| id |
integer (int32) |
ID of the QnA result. |
| metadata |
object |
Metadata associated with the answer, useful to categorize or filter question answers. |
| questions |
string[] |
List of questions associated with the answer. |
| source |
string |
Source of QnA result. |
KnowledgeBaseAnswerContext
Context object with previous QnA's information.
| Name | Type | Description |
|---|---|---|
| previousQnaId |
integer (int32) |
Previous turn top answer result QnA ID. |
| previousUserQuery |
string |
Previous user query. |
KnowledgeBaseAnswerDialog
Dialog associated with Answer.
| Name | Type | Description |
|---|---|---|
| isContextOnly |
boolean |
To mark if a prompt is relevant only with a previous question or not. If true, do not include this QnA as search result for queries without context; otherwise, if false, ignores context and includes this QnA in search result. |
| prompts |
List of prompts associated with the answer. |
KnowledgeBaseAnswerPrompt
Prompt for an answer.
| Name | Type | Description |
|---|---|---|
| displayOrder |
integer (int32) |
Index of the prompt - used in ordering of the prompts. |
| displayText |
string maxLength: 200 |
Text displayed to represent a follow up question prompt. |
| qnaId |
integer (int32) |
QnA ID corresponding to the prompt. |
LengthResolution
Represents the length entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The length Unit of measurement |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
LengthUnit
The length unit of measurement.
| Value | Description |
|---|---|
| Unspecified |
Unspecified length unit |
| Kilometer |
Kilometer length unit |
| Hectometer |
Hectometer length unit |
| Decameter |
Decameter length unit |
| Meter |
Meter length unit |
| Decimeter |
Decimeter length unit |
| Centimeter |
Centimeter length unit |
| Millimeter |
Millimeter length unit |
| Micrometer |
Micrometer length unit |
| Nanometer |
Nanometer length unit |
| Picometer |
Picometer length unit |
| Mile |
Mile length unit |
| Yard |
Yard length unit |
| Inch |
Inch length unit |
| Foot |
Foot length unit |
| LightYear |
Light year length unit |
| Pt |
Point length unit |
ListKey
The list key extra data kind.
| Name | Type | Description |
|---|---|---|
| extraInformationKind | string: |
The extra information object kind. |
| key |
string |
The canonical form of the extracted entity. |
LogicalOperationKind
Operation used to join metadata filters.
| Value | Description |
|---|---|
| AND |
Logical AND |
| OR |
Logical OR |
LuisCallingOptions
This customizes how the service calls LUIS Generally Available projects.
| Name | Type | Description |
|---|---|---|
| bing-spell-check-subscription-key |
string |
The subscription key to use when enabling Bing spell check |
| log |
boolean |
Save log to add in training utterances later. |
| show-all-intents |
boolean |
Set true to show all intents. |
| spellCheck |
boolean |
Enable spell checking. |
| timezoneOffset |
integer (int32) |
The timezone offset for the location of the request. |
| verbose |
boolean |
Enable verbose response. |
LuisParameters
This is a set of request parameters for LUIS Generally Available projects.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version to use when call a specific target service. |
| callingOptions |
This customizes how the service calls LUIS Generally Available projects. |
|
| query |
string maxLength: 500 |
The utterance to predict. |
| targetProjectKind |
string:
Luis |
The type of a target service |
LuisTargetIntentResult
It is a wrap up of LUIS Generally Available response.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version used to call a target service. |
| confidenceScore |
number (double) minimum: 0maximum: 1 |
The prediction score and it ranges from 0.0 to 1.0. |
| result |
Luis |
The actual response from a LUIS Generally Available application. |
| targetProjectKind |
string:
Luis |
This is the base class of an intent prediction |
MetadataFilter
Find QnAs that are associated with the given list of metadata.
| Name | Type | Default value | Description |
|---|---|---|---|
| logicalOperation | AND |
Operation used to join metadata filters. |
|
| metadata |
List of metadata. |
MetadataRecord
Object to provide the key value pair for each metadata.
| Name | Type | Description |
|---|---|---|
| key |
string |
Metadata Key from Metadata dictionary used in the QnA. |
| value |
string |
Metadata Value from Metadata dictionary used in the QnA. |
NoneLinkedTargetIntentResult
A wrap up of non-linked intent response.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version used to call a target service. |
| confidenceScore |
number (double) minimum: 0maximum: 1 |
The prediction score and it ranges from 0.0 to 1.0. |
| result |
The actual response from a Conversation project. |
|
| targetProjectKind |
string:
Non |
This is the base class of an intent prediction |
NumberKind
The type of the extracted number entity.
| Value | Description |
|---|---|
| Integer |
Integer number |
| Decimal |
Decimal number |
| Power |
Power number |
| Fraction |
Fraction number |
| Percent |
Percent number |
| Unspecified |
Unspecified number kind |
NumberResolution
A resolution for numeric entity instances.
| Name | Type | Description |
|---|---|---|
| numberKind |
The type of the extracted number entity. |
|
| resolutionKind | string: |
The entity resolution object kind. |
| value |
number (double) |
A numeric representation of what the extracted text denotes. |
NumericRangeResolution
represents the resolution of numeric intervals.
| Name | Type | Description |
|---|---|---|
| maximum |
number (double) |
The ending value of the interval. |
| minimum |
number (double) |
The beginning value of the interval. |
| rangeKind |
The kind of range that the resolution object represents. |
|
| resolutionKind | string: |
The entity resolution object kind. |
OrchestrationPrediction
This represents the prediction result of an Orchestration project.
| Name | Type | Description |
|---|---|---|
| intents |
object |
A dictionary that contains all intents. A key is an intent name and a value is its confidence score and target type. The top intent's value also contains the actual response from the target project. |
| projectKind |
string:
Orchestration |
The type of the project. |
| topIntent |
string |
The intent with the highest score. |
OrdinalResolution
A resolution for ordinal numbers entity instances.
| Name | Type | Description |
|---|---|---|
| offset |
string |
The offset with respect to the reference (e.g., offset = -1 indicates the second to last) |
| relativeTo |
The reference point that the ordinal number denotes. |
|
| resolutionKind | string: |
The entity resolution object kind. |
| value |
string |
A simple arithmetic expression that the ordinal denotes. |
projectKind
The type of the project.
| Value | Description |
|---|---|
| Conversation |
Conversation type |
| Orchestration |
Orchestration type |
QueryFilters
filters over knowledge base.
| Name | Type | Default value | Description |
|---|---|---|---|
| logicalOperation | AND |
Logical operation used to join metadata filter with source filter. |
|
| metadataFilter |
filters over knowledge base. |
||
| sourceFilter |
string[] |
filters over knowledge base. |
QuestionAnsweringParameters
This is a set of request parameters for Question Answering knowledge bases.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version to use when call a specific target service. |
| callingOptions |
The options sent to a Question Answering KB. |
|
| targetProjectKind |
string:
Question |
The type of a target service |
QuestionAnsweringTargetIntentResult
It is a wrap up a Question Answering KB response.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
The API version used to call a target service. |
| confidenceScore |
number (double) minimum: 0maximum: 1 |
The prediction score and it ranges from 0.0 to 1.0. |
| result |
The generated answer by a Question Answering KB. |
|
| targetProjectKind |
string:
Question |
This is the base class of an intent prediction |
RangeKind
The kind of range that the resolution object represents.
| Value | Description |
|---|---|
| Number |
Number range |
| Speed |
Speed range |
| Weight |
Weight range |
| Length |
Length range |
| Volume |
Volume range |
| Area |
Area range |
| Age |
Age range |
| Information |
Information range |
| Temperature |
Temperature range |
| Currency |
Currency range |
RankerKind
Type of ranker to be used
| Value | Description |
|---|---|
| Default |
Default ranker. |
| QuestionOnly |
Question only ranker. |
RegexKey
The regex key extra data kind.
| Name | Type | Description |
|---|---|---|
| extraInformationKind | string: |
The extra information object kind. |
| key |
string |
The key of the regex pattern used in extracting the entity. |
| regexPattern |
string |
The .NET regex pattern used in extracting the entity. Please visit https://learn.microsoft.com/dotnet/standard/base-types/regular-expressions for more information about .NET regular expressions. |
RelativeTo
The reference point that the ordinal number denotes.
| Value | Description |
|---|---|
| Current |
Current state |
| End |
End state |
| Start |
Start state |
ResolutionKind
The entity resolution object kind.
| Value | Description |
|---|---|
| BooleanResolution |
Resolution of a boolean entity |
| DateTimeResolution |
Resolution of a date/time entity |
| NumberResolution |
Resolution of a number entity |
| OrdinalResolution |
Resolution of an ordinal entity |
| SpeedResolution |
Resolution of a speed entity |
| WeightResolution |
Resolution of a weight entity |
| LengthResolution |
Resolution of a length entity |
| VolumeResolution |
Resolution of a volume entity |
| AreaResolution |
Resolution of an area entity |
| AgeResolution |
Resolution of an age entity |
| InformationResolution |
Resolution of an information entity |
| TemperatureResolution |
Resolution of a temperature entity |
| CurrencyResolution |
Resolution of a currency entity |
| NumericRangeResolution |
Resolution of a numeric range entity |
| TemporalSpanResolution |
Resolution of a temporal span entity |
role
Role of the participant.
| Value | Description |
|---|---|
| customer |
The participant is a customer. |
| agent |
The participant is an agent. |
| generic |
The is a generic participant. |
ShortAnswerOptions
To configure Answer span prediction feature.
| Name | Type | Default value | Description |
|---|---|---|---|
| confidenceScoreThreshold |
number (double) minimum: 0maximum: 1 |
Minimum threshold score required to include an answer span, value ranges from 0 to 1. |
|
| enable |
boolean |
True |
Enable or disable Answer Span prediction. |
| topAnswersWithSpan |
integer (int32) minimum: 1maximum: 10 |
Number of Top answers to be considered for span prediction from 1 to 10. |
SpeedResolution
Represents the speed entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The speed Unit of measurement |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
SpeedUnit
The speed Unit of measurement
| Value | Description |
|---|---|
| Unspecified |
Unspecified speed unit |
| MetersPerSecond |
Meters per second speed unit |
| KilometersPerHour |
Kilometers per hour speed unit |
| KilometersPerMinute |
Kilometers per minute speed unit |
| KilometersPerSecond |
Kilometers per second speed unit |
| MilesPerHour |
Miles per hour speed unit |
| Knot |
Knot speed unit |
| FootPerSecond |
Foot per second speed unit |
| FootPerMinute |
Foot per minute speed unit |
| YardsPerMinute |
Yards per minute speed unit |
| YardsPerSecond |
Yards per second speed unit |
| MetersPerMillisecond |
Meters per millisecond speed unit |
| CentimetersPerMillisecond |
Centimeters per millisecond speed unit |
| KilometersPerMillisecond |
Kilometers per millisecond speed unit |
StringIndexType
String index type
| Value | Description |
|---|---|
| TextElements_v8 |
Returned offset and length values will correspond to TextElements (Graphemes and Grapheme clusters) confirming to the Unicode 8.0.0 standard. Use this option if your application is written in .Net Framework or .Net Core and you will be using StringInfo. |
| UnicodeCodePoint |
Returned offset and length values will correspond to Unicode code points. Use this option if your application is written in a language that support Unicode, for example Python. |
| Utf16CodeUnit |
Returned offset and length values will correspond to UTF-16 code units. Use this option if your application is written in a language that support Unicode, for example Java, JavaScript. |
targetProjectKind
The type of a target service.
| Value | Description |
|---|---|
| Luis |
Luis target service type |
| Conversation |
Conversation target service type |
| QuestionAnswering |
QuestionAnswering target service type |
| NonLinked |
NonLinked target service type |
TemperatureResolution
Represents the temperature entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The temperature Unit of measurement. |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
TemperatureUnit
The temperature Unit of measurement.
| Value | Description |
|---|---|
| Unspecified |
Unspecified temperature unit |
| Fahrenheit |
Fahrenheit temperature unit |
| Kelvin |
Kelvin temperature unit |
| Rankine |
Rankine temperature unit |
| Celsius |
Celsius temperature unit |
TemporalModifier
An optional modifier of a date/time instance.
| Value | Description |
|---|---|
| AfterApprox |
AfterApprox temporal modifier |
| Before |
Before temporal modifier |
| BeforeStart |
BeforeStart temporal modifier |
| Approx |
Approx temporal modifier |
| ReferenceUndefined |
ReferenceUndefined temporal modifier |
| SinceEnd |
SinceEnd temporal modifier |
| AfterMid |
AfterMid temporal modifier |
| Start |
Start temporal modifier |
| After |
After temporal modifier |
| BeforeEnd |
BeforeEnd temporal modifier |
| Until |
Until temporal modifier |
| End |
End temporal modifier |
| Less |
Less temporal modifier |
| Since |
Since temporal modifier |
| AfterStart |
AfterStart temporal modifier |
| BeforeApprox |
BeforeApprox temporal modifier |
| Mid |
Mid temporal modifier |
| More |
More temporal modifier |
TemporalSpanResolution
represents the resolution of a date and/or time span.
| Name | Type | Description |
|---|---|---|
| begin |
string |
represents the resolution of a date and/or time span. An extended ISO 8601 date/time representation as described in (https://github.com/Microsoft/Recognizers-Text/blob/master/Patterns/English/English-DateTime.yaml) |
| duration |
string |
An optional duration value formatted based on the ISO 8601 (https://en.wikipedia.org/wiki/ISO_8601#Durations) |
| end |
string |
represents the resolution of a date and/or time span. An extended ISO 8601 date/time representation as described in (https://github.com/Microsoft/Recognizers-Text/blob/master/Patterns/English/English-DateTime.yaml) |
| modifier |
An optional modifier of a date/time instance. |
|
| resolutionKind | string: |
The entity resolution object kind. |
| timex |
string |
An optional triplet containing the beginning, the end, and the duration all stated as ISO 8601 formatted strings. |
TextConversationItem
The text modality of an input conversation.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ID of a conversation item. |
| language |
string |
The override language of a conversation item in BCP 47 language representation. |
| modality |
Enumeration of supported conversational modalities. |
|
| participantId |
string |
The participant ID of a conversation item. |
| role |
Role of the participant. |
|
| text |
string |
The text input |
VolumeResolution
Represents the volume entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The Volume Unit of measurement |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
VolumeUnit
The Volume Unit of measurement
| Value | Description |
|---|---|
| Unspecified |
Unspecified volume unit. |
| CubicMeter |
Volume unit in cubic meters. |
| CubicCentimeter |
Volume unit in cubic centimeters. |
| CubicMillimeter |
Volume unit in cubic millimeters. |
| Hectoliter |
Volume unit in hectoliters. |
| Decaliter |
Volume unit in decaliters. |
| Liter |
Volume unit in liters. |
| Centiliter |
Volume unit in centiliters. |
| Milliliter |
Volume unit in milliliters. |
| CubicYard |
Volume unit in cubic yards. |
| CubicInch |
Volume unit in cubic inches. |
| CubicFoot |
Volume unit in cubic feet. |
| CubicMile |
Volume unit in cubic miles. |
| FluidOunce |
Volume unit in fluid ounces. |
| Teaspoon |
Volume unit in teaspoons. |
| Tablespoon |
Volume unit in tablespoons. |
| Pint |
Volume unit in pints. |
| Quart |
Volume unit in quarts. |
| Cup |
Volume unit in cups. |
| Gill |
Volume unit in gills. |
| Pinch |
Volume unit in pinches. |
| FluidDram |
Volume unit in fluid drams. |
| Barrel |
Volume unit in barrels. |
| Minim |
Volume unit in minims. |
| Cord |
Volume unit in cords. |
| Peck |
Volume unit in pecks. |
| Bushel |
Volume unit in bushels. |
| Hogshead |
Volume unit in hogsheads. |
WeightResolution
Represents the weight entity resolution model.
| Name | Type | Description |
|---|---|---|
| resolutionKind | string: |
The entity resolution object kind. |
| unit |
The weight Unit of measurement. |
|
| value |
number (double) |
The numeric value that the extracted text denotes. |
WeightUnit
The weight Unit of measurement.
| Value | Description |
|---|---|
| Unspecified |
Unspecified weight unit |
| Kilogram |
Weight unit in kilograms |
| Gram |
Weight unit in grams |
| Milligram |
Weight unit in milligrams |
| Gallon |
Volume unit in gallons |
| MetricTon |
Weight unit in metric tons |
| Ton |
Weight unit in tons |
| Pound |
Weight unit in pounds |
| Ounce |
Weight unit in ounces |
| Grain |
Weight unit in grains |
| PennyWeight |
Weight unit in pennyweights |
| LongTonBritish |
Weight unit in long tons (British) |
| ShortTonUS |
Weight unit in short tons (US) |
| ShortHundredWeightUS |
Weight unit in short hundredweights (US) |
| Stone |
Weight unit in stones |
| Dram |
Weight unit in drams |